Get lyrics analysis
Access detailed insights from song lyrics.
This endpoint delivers a breakdown of lyrical elements identified through AI/LLMs (large language models). Attributes include:
- themes: Key themes identified in the lyrics.
- moods: Dominant mood, tone, and sentiment.
- culturalReferencePeople: Mentions of notable individuals.
- culturalReferenceNonPeople: Mentions of cultural elements not related to individuals.
- brands: Recognized brands, products, or company names.
- narrativeStyle: Indicates the narrative perspective (1st, 2nd, 3rd person, or character voices).
- locations: Identified geographical references (countries, cities, regions).
-
Scoring Metrics: Ratings for various lyrical attributes:
- emotionalIntensityScore: 1-10 scale for emotional impact.
- imageryScore: 1-10 scale for vividness of descriptions.
- complexityScore: 1-10 scale for lyrical complexity.
- rhymeSchemeScore: 1-10 scale for the intricacy of rhyming patterns.
- repetitivenessScore: 1-10 scale for the repetitiveness of the lyrics.
Need the referential for the values of each lyric attribute? Use the Get lyrics attribute endpoint.
Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.
Request
GET
/api/v2/song/{uuid}/lyrics-analysis
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | A Song UUID | Required |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Lyrics analysis response |
LyricsAnalysisResponse |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Song not found |